terraform {
  required_providers {
    archive = {
      source  = "hashicorp/archive"
      version = "~> 2.2.0"
    }
  }

  required_version = "~> 1.0"
}

variable "kubeconfig" {}
variable "context" {}
variable "config_name" {}

provider "kubernetes" {
  config_path    = var.kubeconfig
  config_context = var.context
}

data "archive_file" "lambda_hello_world" {
  type = "zip"

  source_dir = abspath("${path.module}/hello-world")
  output_path = abspath("${path.module}/hello-world.zip")
}

resource "kubernetes_config_map_v1" "example" {

  metadata {
    name = var.config_name
  }

  data = {
    filename = data.archive_file.lambda_hello_world.output_path
    file_md5 = filemd5(data.archive_file.lambda_hello_world.output_path)
  }

}

output "etag" {
  value = kubernetes_config_map_v1.example.data.file_md5
}
