terraform {
  required_version = ">= 0.12.26"
}

variable "cluster_spec" {
  type = object({
    region  = string
    env     = string
    cluster = string
    active  = bool
    nodes   = number
  })
}

variable "zones" {
  type = list(string)
}

output "cluster_id" {
  value = format("%s:%s:%s", var.cluster_spec.region, var.cluster_spec.env, var.cluster_spec.cluster)
}

output "active" {
  value = var.cluster_spec.active
}

output "node_count" {
  value = var.cluster_spec.nodes
}

output "azs" {
  value = formatlist("%s%s", var.cluster_spec.region, var.zones)
}
